<ion-header no-border>
  <ion-toolbar>
    <ion-buttons slot="start"
                 routerLink="/tabs/lugar">
      <ion-button>
        <ion-icon name="arrow-back"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>{{place?.name}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-card class="card">
    <ion-card-header>
      <ion-card-subtitle>{{place?.formatted_address}}</ion-card-subtitle>
    </ion-card-header>
    <div *ngIf="place">
      <ion-slides pager="true"
                  [options]="slideOpts">
        <ion-slide *ngFor="let foto of place.photos">
          <ion-img class="img"
                   src="{{foto?.getUrl()}}"></ion-img>
          <ion-img *ngIf="foto === null"
                   class="img"
                   src="/assets/img/logo.png"></ion-img>
        </ion-slide>
      </ion-slides>
    </div>
    <ion-card-content>
      <p> {{ place?.description }}</p>
    </ion-card-content>
    <ion-row>
      <ion-col>
        <ion-button color="primary"
                    fill="clear"
                    size="small"
                    slote="end">
          <ion-icon name="star"></ion-icon>
          {{place?.rating}}
        </ion-button>
      </ion-col>
      <ion-col>
        <ion-button color="primary"
                    fill="clear"
                    size="small"
                    slote="end">
          <ion-icon name="text"></ion-icon>
          {{place?.user_ratings_total}}
        </ion-button>
      </ion-col>
      <ion-col>
        <ion-button href="{{place?.url}}"
                    color="primary"
                    fill="clear"
                    size="small"
                    slote="end">
          <ion-icon name="navigate"></ion-icon>
        </ion-button>
      </ion-col>
      <ion-col class="ion-text-center">
        <ion-note *ngIf="place?.opening_hours && place?.opening_hours?.open_now">
          Aberto
        </ion-note>
        <ion-note *ngIf="place?.opening_hours && !place?.opening_hours?.open_now">
          Fechado
        </ion-note>
      </ion-col>
    </ion-row>
  </ion-card>

</ion-content>